[996.ICU](https://996.icu)
=======
* [中文版](./README_CN.md)

The name `996.ICU` refers to **"Work by '996', sick in ICU"**, an ironic saying among Chinese programmers, which means that by following the "996" work schedule, you are risking yourself getting into the ICU (Intensive Care Unit).

[![LICENSE](https://img.shields.io/badge/license-Anti%20996-blue.svg)](https://github.com/996icu/996.ICU/blob/master/LICENSE)
[![Badge](https://img.shields.io/badge/link-996.icu-red.svg)](https://996.icu/#/zh_CN)

If you want to refer to the 996.ICU badge, read the section [What can I do?](#what-can-i-do) below.

Related reports:
---
* *RadiiChina:* [GitHub Protest Over Chinese Tech Companies’ “996” Culture Goes Viral](https://radiichina.com/github-protest-chinese-tech-996/). 26 March, 2019.
* *Sixth Tone:* [Chinese Developers Protest Overwork on GitHub](https://www.sixthtone.com/news/1003771/chinese-developers-protest-overwork-on-github). 28 March, 2019.
* *Abacus:*  [Follow China’s “996” work hours and you’ll end up in an ICU, says Chinese developer](https://www.abacusnews.com/digital-life/follow-chinas-996-work-hours-and-youll-end-icu-says-chinese-developer/article/3003702). 28 March, 2019.
* *South China Morning Post:* [‘Developers’ lives matter’ – Chinese software engineers use Github to protest against the country’s 996 work schedule](https://www.scmp.com/tech/start-ups/article/3003691/developers-lives-matter-chinese-software-engineers-use-github). 29 March, 2019.
* *TechNode:*  [Briefing: Chinese developers protest ‘996’ in viral Github post](https://technode.com/2019/03/29/briefing-chinese-developers-protest-996-in-viral-github-post/). 29 March, 2019.
* *Packt Pub:*  [‘Developers’ lives matter’: Chinese developers protest over the “996 work schedule” on GitHub](https://hub.packtpub.com/developers-lives-matter-chinese-developers-protest-over-the-996-work-schedule-on-github/). 29 March, 2019.
* *Inkstone:*  [China’s tech workers protest brutal work culture with communist jingles](https://www.inkstonenews.com/tech/china-tech-workers-protest-996-working-schedule-github/article/3003800). 29 March, 2019.
* *THE VERGE:* [Chinese developers use GitHub to protest long work hours](https://www.theverge.com/2019/4/2/18291035/chinese-developers-github-protest-long-work-hours). 2 April, 2019.
* *THE VERGE:* [Tencent and Xiaomi may be censoring a GitHub page for airing worker grievances](https://www.theverge.com/2019/4/3/18294030/tencent-xiaomi-china-censorship-browser-block-github-page-worker-grievances). 3 April, 2019.
* *Financial Times:*  [China tech worker protest against long working hours goes viral](https://www.ft.com/content/72754638-55d1-11e9-91f9-b6515a54c5b1). 3 April, 2019.
* *Abacus:*  [Chinese browsers block protest against China’s 996 overtime work culture](https://www.abacusnews.com/digital-life/chinese-browsers-block-protest-against-chinas-996-overtime-work-culture/article/3004543). 3 April, 2019.
* *ZDNet:* [996.ICU : Sur Github, les développeurs chinois donnent de la voix](https://www.zdnet.fr/actualites/996icu-sur-github-les-developpeurs-chinois-donnent-de-la-voix-39882985.htm). 3 April, 2019.
* *Reuters:* [Rare overtime protest by China tech workers goes viral](https://www.reuters.com/article/us-china-tech-labour/rare-overtime-protest-by-china-tech-workers-goes-viral-idUSKCN1RH12B). 5 April, 2019.

What is 996?
---

A "996" work schedule refers to an unofficial work schedule (9 a.m.&ndash;9 p.m., 6 days per week) that has been gaining popularity. Serving a company that encourages the "996" work schedule usually means working for at least 60 hours per week.


What can I do?
---

- Update this [list](blacklist/blacklist.md) with evidence to help every worker.  
- Add this [badge](externals/instruction.md) to your project to support 996.ICU.  
- License your awesome projects with the [Anti 996 License](LICENSE).  
- Add proposals to give advice about the development of 996.ICU.
- Go home at 6 pm without feeling sorry.


Principles and purposes
---

* 996.ICU is an initiative initiated by IT practitioners. We welcome people from other fields and other countries to join the discussion.

* This is not a political movement. We firmly uphold the labor law and request employers to respect the legitimate rights and interests of their employees.

* It is a great progress from closed source to open source, and it will also be a great progress from open source to emphasizing labor rights at the same time. What we want is to create an open source software license that advocates workers' rights.

* We are willing to hear all positive and constructive proposals and advocate mature and responsible speech.

* We are working on the drafting of Anti-996 License right now and we hope to receive assistance from professionals with relevant experience.


Proposals
---
A proposal is a document accepted by 996.ICU.  
Typically, a proposal should outline a solution or suggestion about the development of the project and community.  
For more details, please read the [proposal template](proposal/proposal_template.md) document.  

To help the development of 996.ICU, you can do several things base on proposals.

- Read the accepted proposals and try to improve them.
- Take actions according to the accepted proposals.
- Give your own proposals with a PR following the proposal format.


Expanding influence
---

Please feel free to [translate 996.ICU's contents](i18n/i18n.md), adjust the format, add some contents or fix grammatical errors. Please note that adding too many translations is getting off the track.


Community powers
---

 - [955.WLB](https://github.com/formulahendry/955.WLB) is a repo that maintains a whitelist of 955 work–life balanced companies. It promotes people to flee 996 and join 955.

 - [996.LAW](https://github.com/Y1ran/996.Law) is a repo that collects useful information about cases between employees and enterprise.

 - [996.LIST](https://github.com/fengT-T/996_list) is a repo of a rank list of 996 companies and 955 companies.

 - [996.Leave](https://github.com/623637646/996.Leave) encourage & introduce working overseas.


Where are the issues?
---

Even with interaction limits on, the issues area was totally out of control.
So I **personally** decided to switch it off, not by GitHub or others.


License
---

[Anti-996 License](LICENSE)

 - The purpose of this license is to prevent anti-labour-law companies from using the software or codes under the license, and force those companies to weigh their way of working
 - See a [full list of projects](awesomelist/projects.md) under Anti-996 License
 - It is an idea of @xushunke: [Design A Software License Of Labor Protection -- Anti 996 License](https://github.com/996icu/996.ICU/pull/15642)
 - This version of Anti-996 License is drafted by [Katt Gu, J.D, University of Illinois, College of Law](https://scholar.google.com.sg/citations?user=PTcpQwcAAAAJ&hl=en&oi=ao); advised by [Suji Yan](https://www.linkedin.com/in/tedkoyan/), CEO of [Dimension](https://www.dimension.im).  
 - This draft is adapted from the MIT license. For more detailed explanation, please see [Wiki](https://github.com/kattgu7/996-License-Draft/wiki). This license is designed to be compatible with all major open source licenses.  
 - For law professionals or anyone who is willing to contribute to future version directly, please go to [Anti-996-License-1.0](https://github.com/kattgu7/996-License-Draft). Thank you.
